## org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel.util
Class SybaseasabasesqlmodelAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel.util.SybaseasabasesqlmodelAdapterFactory

All Implemented Interfaces:
  org.eclipse.emf.common.notify.AdapterFactory

    public class SybaseasabasesqlmodelAdapterFactory

extends org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.

See Also:
  `SybaseasabasesqlmodelPackage`

Constructor Summary
`SybaseasabasesqlmodelAdapterFactory()` Creates an instance of the adapter factory.

Method Summary
`org.eclipse.emf.common.notify.Adapter` `createAdapter(org.eclipse.emf.common.notify.Notifier target)` Creates an adapter for the `target`.
`org.eclipse.emf.common.notify.Adapter` `createAuthorizationIdentifierAdapter()` Creates a new adapter for an object of class '`Authorization Identifier`'.
`org.eclipse.emf.common.notify.Adapter` `createBaseTableAdapter()` Creates a new adapter for an object of class '`Base Table`'.
`org.eclipse.emf.common.notify.Adapter` `createCheckConstraintAdapter()` Creates a new adapter for an object of class '`Check Constraint`'.
`org.eclipse.emf.common.notify.Adapter` `createColumnAdapter()` Creates a new adapter for an object of class '`Column`'.
`org.eclipse.emf.common.notify.Adapter` `createConstraintAdapter()` Creates a new adapter for an object of class '`Constraint`'.
`org.eclipse.emf.common.notify.Adapter` `createDatabaseAdapter()` Creates a new adapter for an object of class '`Database`'.
`org.eclipse.emf.common.notify.Adapter` `createDataTypeAdapter()` Creates a new adapter for an object of class '`Data Type`'.
`org.eclipse.emf.common.notify.Adapter` `createDerivedTableAdapter()` Creates a new adapter for an object of class '`Derived Table`'.
`org.eclipse.emf.common.notify.Adapter` `createDistinctUserDefinedTypeAdapter()` Creates a new adapter for an object of class '`Distinct User Defined Type`'.
`org.eclipse.emf.common.notify.Adapter` `createDomainAdapter()` Creates a new adapter for an object of class '`Domain`'.
`org.eclipse.emf.common.notify.Adapter` `createEModelElementAdapter()` Creates a new adapter for an object of class '`EModel Element`'.
`org.eclipse.emf.common.notify.Adapter` `createENamedElementAdapter()` Creates a new adapter for an object of class '`ENamed Element`'.
`org.eclipse.emf.common.notify.Adapter` `createEncryptionInfoAdapter()` Creates a new adapter for an object of class '`Encryption Info`'.
`org.eclipse.emf.common.notify.Adapter` `createEObjectAdapter()` Creates a new adapter for the default case.
`org.eclipse.emf.common.notify.Adapter` `createEventAdapter()` Creates a new adapter for an object of class '`Event`'.
`org.eclipse.emf.common.notify.Adapter` `createEventConditionAdapter()` Creates a new adapter for an object of class '`Event Condition`'.
`org.eclipse.emf.common.notify.Adapter` `createForeignKeyAdapter()` Creates a new adapter for an object of class '`Foreign Key`'.
`org.eclipse.emf.common.notify.Adapter` `createFunctionAdapter()` Creates a new adapter for an object of class '`Function`'.
`org.eclipse.emf.common.notify.Adapter` `createGroupAdapter()` Creates a new adapter for an object of class '`Group`'.
`org.eclipse.emf.common.notify.Adapter` `createIndexAdapter()` Creates a new adapter for an object of class '`Index`'.
`org.eclipse.emf.common.notify.Adapter` `createParameterAdapter()` Creates a new adapter for an object of class '`Parameter`'.
`org.eclipse.emf.common.notify.Adapter` `createPersistentTableAdapter()` Creates a new adapter for an object of class '`Persistent Table`'.
`org.eclipse.emf.common.notify.Adapter` `createPredefinedDataTypeAdapter()` Creates a new adapter for an object of class '`Predefined Data Type`'.
`org.eclipse.emf.common.notify.Adapter` `createPrimaryKeyAdapter()` Creates a new adapter for an object of class '`Primary Key`'.
`org.eclipse.emf.common.notify.Adapter` `createProcedureAdapter()` Creates a new adapter for an object of class '`Procedure`'.
`org.eclipse.emf.common.notify.Adapter` `createReferenceConstraintAdapter()` Creates a new adapter for an object of class '`Reference Constraint`'.
`org.eclipse.emf.common.notify.Adapter` `createRoutineAdapter()` Creates a new adapter for an object of class '`Routine`'.
`org.eclipse.emf.common.notify.Adapter` `createScheduleAdapter()` Creates a new adapter for an object of class '`Schedule`'.
`org.eclipse.emf.common.notify.Adapter` `createSchemaAdapter()` Creates a new adapter for an object of class '`Schema`'.
`org.eclipse.emf.common.notify.Adapter` `createSQLDataTypeAdapter()` Creates a new adapter for an object of class '`SQL Data Type`'.
`org.eclipse.emf.common.notify.Adapter` `createSQLObjectAdapter()` Creates a new adapter for an object of class '`SQL Object`'.
`org.eclipse.emf.common.notify.Adapter` `createSybaseASABaseColumnAdapter()` Creates a new adapter for an object of class '`Sybase ASA Base Column`'.
`org.eclipse.emf.common.notify.Adapter` `createSybaseASABaseColumnCheckConstraintAdapter()` Creates a new adapter for an object of class '`Sybase ASA Base Column Check Constraint`'.
`org.eclipse.emf.common.notify.Adapter` `createSybaseASABaseDatabaseAdapter()` Creates a new adapter for an object of class '`Sybase ASA Base Database`'.
`org.eclipse.emf.common.notify.Adapter` `createSybaseASABaseDBSpaceAdapter()` Creates a new adapter for an object of class '`Sybase ASA Base DB Space`'.
`org.eclipse.emf.common.notify.Adapter` `createSybaseASABaseEventAdapter()` Creates a new adapter for an object of class '`Sybase ASA Base Event`'.
`org.eclipse.emf.common.notify.Adapter` `createSybaseASABaseForeignKeyAdapter()` Creates a new adapter for an object of class '`Sybase ASA Base Foreign Key`'.
`org.eclipse.emf.common.notify.Adapter` `createSybaseASABaseFunctionAdapter()` Creates a new adapter for an object of class '`Sybase ASA Base Function`'.
`org.eclipse.emf.common.notify.Adapter` `createSybaseASABaseGroupAdapter()` Creates a new adapter for an object of class '`Sybase ASA Base Group`'.
`org.eclipse.emf.common.notify.Adapter` `createSybaseASABaseIndexAdapter()` Creates a new adapter for an object of class '`Sybase ASA Base Index`'.
`org.eclipse.emf.common.notify.Adapter` `createSybaseASABaseParameterAdapter()` Creates a new adapter for an object of class '`Sybase ASA Base Parameter`'.
`org.eclipse.emf.common.notify.Adapter` `createSybaseASABasePredefinedDataTypeAdapter()` Creates a new adapter for an object of class '`Sybase ASA Base Predefined Data Type`'.
`org.eclipse.emf.common.notify.Adapter` `createSybaseASABasePrimaryKeyAdapter()` Creates a new adapter for an object of class '`Sybase ASA Base Primary Key`'.
`org.eclipse.emf.common.notify.Adapter` `createSybaseASABaseProcedureAdapter()` Creates a new adapter for an object of class '`Sybase ASA Base Procedure`'.
`org.eclipse.emf.common.notify.Adapter` `createSybaseASABaseProxyTableAdapter()` Creates a new adapter for an object of class '`Sybase ASA Base Proxy Table`'.
`org.eclipse.emf.common.notify.Adapter` `createSybaseASABaseRemoteProcedureAdapter()` Creates a new adapter for an object of class '`Sybase ASA Base Remote Procedure`'.
`org.eclipse.emf.common.notify.Adapter` `createSybaseASABaseSchemaAdapter()` Creates a new adapter for an object of class '`Sybase ASA Base Schema`'.
`org.eclipse.emf.common.notify.Adapter` `createSybaseASABaseTableAdapter()` Creates a new adapter for an object of class '`Sybase ASA Base Table`'.
`org.eclipse.emf.common.notify.Adapter` `createSybaseASABaseTempTableAdapter()` Creates a new adapter for an object of class '`Sybase ASA Base Temp Table`'.
`org.eclipse.emf.common.notify.Adapter` `createSybaseASABaseTriggerAdapter()` Creates a new adapter for an object of class '`Sybase ASA Base Trigger`'.
`org.eclipse.emf.common.notify.Adapter` `createSybaseASABaseUniqueConstraintAdapter()` Creates a new adapter for an object of class '`Sybase ASA Base Unique Constraint`'.
`org.eclipse.emf.common.notify.Adapter` `createSybaseASABaseUserAdapter()` Creates a new adapter for an object of class '`Sybase ASA Base User`'.
`org.eclipse.emf.common.notify.Adapter` `createSybaseASABaseUserDefinedTypeAdapter()` Creates a new adapter for an object of class '`Sybase ASA Base User Defined Type`'.
`org.eclipse.emf.common.notify.Adapter` `createSybaseASABaseViewTableAdapter()` Creates a new adapter for an object of class '`Sybase ASA Base View Table`'.
`org.eclipse.emf.common.notify.Adapter` `createSybaseASADefaultWrapperAdapter()` Creates a new adapter for an object of class '`Sybase ASA Default Wrapper`'.
`org.eclipse.emf.common.notify.Adapter` `createSybaseASAWebServiceAdapter()` Creates a new adapter for an object of class '`Sybase ASA Web Service`'.
`org.eclipse.emf.common.notify.Adapter` `createSybaseAuthorizationIdentifierAdapter()` Creates a new adapter for an object of class '`Sybase Authorization Identifier`'.
`org.eclipse.emf.common.notify.Adapter` `createSybaseAuthorizedObjectAdapter()` Creates a new adapter for an object of class '`Sybase Authorized Object`'.
`org.eclipse.emf.common.notify.Adapter` `createSybaseBaseTableAdapter()` Creates a new adapter for an object of class '`Sybase Base Table`'.
`org.eclipse.emf.common.notify.Adapter` `createSybaseParameterAdapter()` Creates a new adapter for an object of class '`Sybase Parameter`'.
`org.eclipse.emf.common.notify.Adapter` `createSybaseRoutineAdapter()` Creates a new adapter for an object of class '`Sybase Routine`'.
`org.eclipse.emf.common.notify.Adapter` `createSybaseViewTableAdapter()` Creates a new adapter for an object of class '`Sybase View Table`'.
`org.eclipse.emf.common.notify.Adapter` `createTableAdapter()` Creates a new adapter for an object of class '`Table`'.
`org.eclipse.emf.common.notify.Adapter` `createTableConstraintAdapter()` Creates a new adapter for an object of class '`Table Constraint`'.
`org.eclipse.emf.common.notify.Adapter` `createTemporaryTableAdapter()` Creates a new adapter for an object of class '`Temporary Table`'.
`org.eclipse.emf.common.notify.Adapter` `createTriggerAdapter()` Creates a new adapter for an object of class '`Trigger`'.
`org.eclipse.emf.common.notify.Adapter` `createTypedElementAdapter()` Creates a new adapter for an object of class '`Typed Element`'.
`org.eclipse.emf.common.notify.Adapter` `createUniqueConstraintAdapter()` Creates a new adapter for an object of class '`Unique Constraint`'.
`org.eclipse.emf.common.notify.Adapter` `createUserAdapter()` Creates a new adapter for an object of class '`User`'.
`org.eclipse.emf.common.notify.Adapter` `createUserDefinedFunctionAdapter()` Creates a new adapter for an object of class '`User Defined Function`'.
`org.eclipse.emf.common.notify.Adapter` `createUserDefinedTypeAdapter()` Creates a new adapter for an object of class '`User Defined Type`'.
`org.eclipse.emf.common.notify.Adapter` `createViewTableAdapter()` Creates a new adapter for an object of class '`View Table`'.
`boolean` `isFactoryForType(java.lang.Object object)` Returns whether this factory is applicable for the type of the object.

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adapt, adapt, adaptAllNew, adaptNew`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SybaseasabasesqlmodelAdapterFactory

    public SybaseasabasesqlmodelAdapterFactory()

  Creates an instance of the adapter factory.

Method Detail

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object object)

  Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

  Specified by:
    `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `isFactoryForType` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
  Returns:
    whether this factory is applicable for the type of the object.

### createAdapter

    public org.eclipse.emf.common.notify.Adapter createAdapter(org.eclipse.emf.common.notify.Notifier target)

  Creates an adapter for the `target`.

  Overrides:
    `createAdapter` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
  Parameters:
    `target` - the object to adapt.
  Returns:
    the adapter for the `target`.

### createSybaseASABaseEventAdapter

    public org.eclipse.emf.common.notify.Adapter createSybaseASABaseEventAdapter()

  Creates a new adapter for an object of class '`Sybase ASA Base Event`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybaseASABaseEvent`

### createSybaseASABaseDatabaseAdapter

    public org.eclipse.emf.common.notify.Adapter createSybaseASABaseDatabaseAdapter()

  Creates a new adapter for an object of class '`Sybase ASA Base Database`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybaseASABaseDatabase`

### createEncryptionInfoAdapter

    public org.eclipse.emf.common.notify.Adapter createEncryptionInfoAdapter()

  Creates a new adapter for an object of class '`Encryption Info`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `EncryptionInfo`

### createSybaseASABaseUserDefinedTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createSybaseASABaseUserDefinedTypeAdapter()

  Creates a new adapter for an object of class '`Sybase ASA Base User Defined Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybaseASABaseUserDefinedType`

### createSybaseASABasePredefinedDataTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createSybaseASABasePredefinedDataTypeAdapter()

  Creates a new adapter for an object of class '`Sybase ASA Base Predefined Data Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybaseASABasePredefinedDataType`

### createSybaseASABaseTableAdapter

    public org.eclipse.emf.common.notify.Adapter createSybaseASABaseTableAdapter()

  Creates a new adapter for an object of class '`Sybase ASA Base Table`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybaseASABaseTable`

### createSybaseASABaseColumnAdapter

    public org.eclipse.emf.common.notify.Adapter createSybaseASABaseColumnAdapter()

  Creates a new adapter for an object of class '`Sybase ASA Base Column`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybaseASABaseColumn`

### createSybaseASABaseUniqueConstraintAdapter

    public org.eclipse.emf.common.notify.Adapter createSybaseASABaseUniqueConstraintAdapter()

  Creates a new adapter for an object of class '`Sybase ASA Base Unique Constraint`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybaseASABaseUniqueConstraint`

### createSybaseASABasePrimaryKeyAdapter

    public org.eclipse.emf.common.notify.Adapter createSybaseASABasePrimaryKeyAdapter()

  Creates a new adapter for an object of class '`Sybase ASA Base Primary Key`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybaseASABasePrimaryKey`

### createSybaseASABaseForeignKeyAdapter

    public org.eclipse.emf.common.notify.Adapter createSybaseASABaseForeignKeyAdapter()

  Creates a new adapter for an object of class '`Sybase ASA Base Foreign Key`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybaseASABaseForeignKey`

### createSybaseASABaseIndexAdapter

    public org.eclipse.emf.common.notify.Adapter createSybaseASABaseIndexAdapter()

  Creates a new adapter for an object of class '`Sybase ASA Base Index`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybaseASABaseIndex`

### createSybaseASABaseDBSpaceAdapter

    public org.eclipse.emf.common.notify.Adapter createSybaseASABaseDBSpaceAdapter()

  Creates a new adapter for an object of class '`Sybase ASA Base DB Space`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybaseASABaseDBSpace`

### createSybaseASABaseViewTableAdapter

    public org.eclipse.emf.common.notify.Adapter createSybaseASABaseViewTableAdapter()

  Creates a new adapter for an object of class '`Sybase ASA Base View Table`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybaseASABaseViewTable`

### createSybaseASABaseFunctionAdapter

    public org.eclipse.emf.common.notify.Adapter createSybaseASABaseFunctionAdapter()

  Creates a new adapter for an object of class '`Sybase ASA Base Function`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybaseASABaseFunction`

### createSybaseASABaseProcedureAdapter

    public org.eclipse.emf.common.notify.Adapter createSybaseASABaseProcedureAdapter()

  Creates a new adapter for an object of class '`Sybase ASA Base Procedure`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybaseASABaseProcedure`

### createSybaseASABaseTempTableAdapter

    public org.eclipse.emf.common.notify.Adapter createSybaseASABaseTempTableAdapter()

  Creates a new adapter for an object of class '`Sybase ASA Base Temp Table`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybaseASABaseTempTable`

### createSybaseASABaseTriggerAdapter

    public org.eclipse.emf.common.notify.Adapter createSybaseASABaseTriggerAdapter()

  Creates a new adapter for an object of class '`Sybase ASA Base Trigger`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybaseASABaseTrigger`

### createSybaseASABaseProxyTableAdapter

    public org.eclipse.emf.common.notify.Adapter createSybaseASABaseProxyTableAdapter()

  Creates a new adapter for an object of class '`Sybase ASA Base Proxy Table`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybaseASABaseProxyTable`

### createSybaseASABaseColumnCheckConstraintAdapter

    public org.eclipse.emf.common.notify.Adapter createSybaseASABaseColumnCheckConstraintAdapter()

  Creates a new adapter for an object of class '`Sybase ASA Base Column Check Constraint`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybaseASABaseColumnCheckConstraint`

### createSybaseASAWebServiceAdapter

    public org.eclipse.emf.common.notify.Adapter createSybaseASAWebServiceAdapter()

  Creates a new adapter for an object of class '`Sybase ASA Web Service`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybaseASAWebService`

### createScheduleAdapter

    public org.eclipse.emf.common.notify.Adapter createScheduleAdapter()

  Creates a new adapter for an object of class '`Schedule`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Schedule`

### createSybaseASABaseRemoteProcedureAdapter

    public org.eclipse.emf.common.notify.Adapter createSybaseASABaseRemoteProcedureAdapter()

  Creates a new adapter for an object of class '`Sybase ASA Base Remote Procedure`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybaseASABaseRemoteProcedure`

### createSybaseASABaseParameterAdapter

    public org.eclipse.emf.common.notify.Adapter createSybaseASABaseParameterAdapter()

  Creates a new adapter for an object of class '`Sybase ASA Base Parameter`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybaseASABaseParameter`

### createSybaseASABaseGroupAdapter

    public org.eclipse.emf.common.notify.Adapter createSybaseASABaseGroupAdapter()

  Creates a new adapter for an object of class '`Sybase ASA Base Group`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybaseASABaseGroup`

### createSybaseASABaseSchemaAdapter

    public org.eclipse.emf.common.notify.Adapter createSybaseASABaseSchemaAdapter()

  Creates a new adapter for an object of class '`Sybase ASA Base Schema`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybaseASABaseSchema`

### createSybaseASABaseUserAdapter

    public org.eclipse.emf.common.notify.Adapter createSybaseASABaseUserAdapter()

  Creates a new adapter for an object of class '`Sybase ASA Base User`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybaseASABaseUser`

### createSybaseASADefaultWrapperAdapter

    public org.eclipse.emf.common.notify.Adapter createSybaseASADefaultWrapperAdapter()

  Creates a new adapter for an object of class '`Sybase ASA Default Wrapper`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybaseASADefaultWrapper`

### createEventConditionAdapter

    public org.eclipse.emf.common.notify.Adapter createEventConditionAdapter()

  Creates a new adapter for an object of class '`Event Condition`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `EventCondition`

### createEModelElementAdapter

    public org.eclipse.emf.common.notify.Adapter createEModelElementAdapter()

  Creates a new adapter for an object of class '`EModel Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `EModelElement`

### createENamedElementAdapter

    public org.eclipse.emf.common.notify.Adapter createENamedElementAdapter()

  Creates a new adapter for an object of class '`ENamed Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ENamedElement`

### createSQLObjectAdapter

    public org.eclipse.emf.common.notify.Adapter createSQLObjectAdapter()

  Creates a new adapter for an object of class '`SQL Object`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SQLObject`

### createEventAdapter

    public org.eclipse.emf.common.notify.Adapter createEventAdapter()

  Creates a new adapter for an object of class '`Event`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Event`

### createDatabaseAdapter

    public org.eclipse.emf.common.notify.Adapter createDatabaseAdapter()

  Creates a new adapter for an object of class '`Database`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Database`

### createDataTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createDataTypeAdapter()

  Creates a new adapter for an object of class '`Data Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DataType`

### createUserDefinedTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createUserDefinedTypeAdapter()

  Creates a new adapter for an object of class '`User Defined Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `UserDefinedType`

### createDistinctUserDefinedTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createDistinctUserDefinedTypeAdapter()

  Creates a new adapter for an object of class '`Distinct User Defined Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DistinctUserDefinedType`

### createDomainAdapter

    public org.eclipse.emf.common.notify.Adapter createDomainAdapter()

  Creates a new adapter for an object of class '`Domain`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Domain`

### createSQLDataTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createSQLDataTypeAdapter()

  Creates a new adapter for an object of class '`SQL Data Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SQLDataType`

### createPredefinedDataTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createPredefinedDataTypeAdapter()

  Creates a new adapter for an object of class '`Predefined Data Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PredefinedDataType`

### createTableAdapter

    public org.eclipse.emf.common.notify.Adapter createTableAdapter()

  Creates a new adapter for an object of class '`Table`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Table`

### createBaseTableAdapter

    public org.eclipse.emf.common.notify.Adapter createBaseTableAdapter()

  Creates a new adapter for an object of class '`Base Table`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `BaseTable`

### createPersistentTableAdapter

    public org.eclipse.emf.common.notify.Adapter createPersistentTableAdapter()

  Creates a new adapter for an object of class '`Persistent Table`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PersistentTable`

### createSybaseAuthorizedObjectAdapter

    public org.eclipse.emf.common.notify.Adapter createSybaseAuthorizedObjectAdapter()

  Creates a new adapter for an object of class '`Sybase Authorized Object`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybaseAuthorizedObject`

### createSybaseBaseTableAdapter

    public org.eclipse.emf.common.notify.Adapter createSybaseBaseTableAdapter()

  Creates a new adapter for an object of class '`Sybase Base Table`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybaseBaseTable`

### createTypedElementAdapter

    public org.eclipse.emf.common.notify.Adapter createTypedElementAdapter()

  Creates a new adapter for an object of class '`Typed Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TypedElement`

### createColumnAdapter

    public org.eclipse.emf.common.notify.Adapter createColumnAdapter()

  Creates a new adapter for an object of class '`Column`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Column`

### createConstraintAdapter

    public org.eclipse.emf.common.notify.Adapter createConstraintAdapter()

  Creates a new adapter for an object of class '`Constraint`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Constraint`

### createTableConstraintAdapter

    public org.eclipse.emf.common.notify.Adapter createTableConstraintAdapter()

  Creates a new adapter for an object of class '`Table Constraint`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TableConstraint`

### createReferenceConstraintAdapter

    public org.eclipse.emf.common.notify.Adapter createReferenceConstraintAdapter()

  Creates a new adapter for an object of class '`Reference Constraint`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ReferenceConstraint`

### createUniqueConstraintAdapter

    public org.eclipse.emf.common.notify.Adapter createUniqueConstraintAdapter()

  Creates a new adapter for an object of class '`Unique Constraint`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `UniqueConstraint`

### createPrimaryKeyAdapter

    public org.eclipse.emf.common.notify.Adapter createPrimaryKeyAdapter()

  Creates a new adapter for an object of class '`Primary Key`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PrimaryKey`

### createForeignKeyAdapter

    public org.eclipse.emf.common.notify.Adapter createForeignKeyAdapter()

  Creates a new adapter for an object of class '`Foreign Key`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ForeignKey`

### createIndexAdapter

    public org.eclipse.emf.common.notify.Adapter createIndexAdapter()

  Creates a new adapter for an object of class '`Index`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Index`

### createDerivedTableAdapter

    public org.eclipse.emf.common.notify.Adapter createDerivedTableAdapter()

  Creates a new adapter for an object of class '`Derived Table`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DerivedTable`

### createViewTableAdapter

    public org.eclipse.emf.common.notify.Adapter createViewTableAdapter()

  Creates a new adapter for an object of class '`View Table`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ViewTable`

### createSybaseViewTableAdapter

    public org.eclipse.emf.common.notify.Adapter createSybaseViewTableAdapter()

  Creates a new adapter for an object of class '`Sybase View Table`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybaseViewTable`

### createRoutineAdapter

    public org.eclipse.emf.common.notify.Adapter createRoutineAdapter()

  Creates a new adapter for an object of class '`Routine`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Routine`

### createSybaseRoutineAdapter

    public org.eclipse.emf.common.notify.Adapter createSybaseRoutineAdapter()

  Creates a new adapter for an object of class '`Sybase Routine`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybaseRoutine`

### createFunctionAdapter

    public org.eclipse.emf.common.notify.Adapter createFunctionAdapter()

  Creates a new adapter for an object of class '`Function`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Function`

### createUserDefinedFunctionAdapter

    public org.eclipse.emf.common.notify.Adapter createUserDefinedFunctionAdapter()

  Creates a new adapter for an object of class '`User Defined Function`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `UserDefinedFunction`

### createProcedureAdapter

    public org.eclipse.emf.common.notify.Adapter createProcedureAdapter()

  Creates a new adapter for an object of class '`Procedure`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Procedure`

### createTemporaryTableAdapter

    public org.eclipse.emf.common.notify.Adapter createTemporaryTableAdapter()

  Creates a new adapter for an object of class '`Temporary Table`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TemporaryTable`

### createTriggerAdapter

    public org.eclipse.emf.common.notify.Adapter createTriggerAdapter()

  Creates a new adapter for an object of class '`Trigger`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Trigger`

### createCheckConstraintAdapter

    public org.eclipse.emf.common.notify.Adapter createCheckConstraintAdapter()

  Creates a new adapter for an object of class '`Check Constraint`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CheckConstraint`

### createParameterAdapter

    public org.eclipse.emf.common.notify.Adapter createParameterAdapter()

  Creates a new adapter for an object of class '`Parameter`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Parameter`

### createSybaseParameterAdapter

    public org.eclipse.emf.common.notify.Adapter createSybaseParameterAdapter()

  Creates a new adapter for an object of class '`Sybase Parameter`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybaseParameter`

### createAuthorizationIdentifierAdapter

    public org.eclipse.emf.common.notify.Adapter createAuthorizationIdentifierAdapter()

  Creates a new adapter for an object of class '`Authorization Identifier`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AuthorizationIdentifier`

### createUserAdapter

    public org.eclipse.emf.common.notify.Adapter createUserAdapter()

  Creates a new adapter for an object of class '`User`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `User`

### createGroupAdapter

    public org.eclipse.emf.common.notify.Adapter createGroupAdapter()

  Creates a new adapter for an object of class '`Group`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Group`

### createSybaseAuthorizationIdentifierAdapter

    public org.eclipse.emf.common.notify.Adapter createSybaseAuthorizationIdentifierAdapter()

  Creates a new adapter for an object of class '`Sybase Authorization Identifier`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybaseAuthorizationIdentifier`

### createSchemaAdapter

    public org.eclipse.emf.common.notify.Adapter createSchemaAdapter()

  Creates a new adapter for an object of class '`Schema`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Schema`

### createEObjectAdapter

    public org.eclipse.emf.common.notify.Adapter createEObjectAdapter()

  Creates a new adapter for the default case. This default implementation returns null.

  Returns:
    the new adapter.